%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The Horde contact management application.
Name: turba-h3
Version: 2.1.3
Release: %smerelease 1
Packager: %{_packager}
Copyright: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/turba/tarballs/turba-h3-%{version}.tar.gz
Source1: turba.conf
Vendor: Mitel Networks Corporation
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/turba-root
AutoReq: no
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.1
Requires: mysql >= 3.23
Prereq: /usr/bin/perl
Obsoletes: turba
Provides: turba

%description
Turba is the Horde contact management application, which allows access
to and storage of personal contacts (including name, email address,
phone number, and other easily customizable fields).  Turba integrates
with IMP (Horde's webmail application) as its address book.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Turba)
please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
cp -p $RPM_SOURCE_DIR/turba.conf $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/turba
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/turba
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/turba/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre

%post

%postun

%files
%defattr(-,root,root)
# Apache turba.conf file
%config %{apachedir}/conf/turba.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/turba
# Include top-level files by hand
%{contentdir}/html/horde/turba/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/turba/lib
%{contentdir}/html/horde/turba/locale
%{contentdir}/html/horde/turba/po
%{contentdir}/html/horde/turba/scripts
%{contentdir}/html/horde/turba/templates
%{contentdir}/html/horde/turba/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/turba/LICENSE
%doc %{contentdir}/html/horde/turba/README
%docdir %{contentdir}/html/horde/turba/docs
%{contentdir}/html/horde/turba/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/turba/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/turba/config/.htaccess
%{contentdir}/html/horde/turba/config/*.dist
%config %{contentdir}/html/horde/turba/config/*.php
%config %{contentdir}/html/horde/turba/config/*.xml

%changelog
* Sat Dec 09 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Fri Nov 24 2006 John H. Bennett III <bennettj@johnbennettservices.com> 2.1.3-00sme01
- Update to turba 2.1.3

* Sat Sep 9 2006 John H. Bennett III <bennettj@johnbennettservices.com> 2.1.2-00sme01
- Update to turba 2.1.2

* Wed May 24 2006 John H. Bennett III <bennettj@johnbennettservices.com> 2.0.5-01sme01
- Update to turba 2.0.5

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 2.0.4-02sme01
- Adjust Release tag to our standard format [SME: 70]

* Wed Nov 09 2005 Greg Swallow
- Update to 2.0.4

* Thu Apr 21 2005 Charlie Brady <charlieb@e-smith.com> 2.0.2-7sme02
- Add "Provides: turba" header to satisfy "Requires: turba" packages.
- Remove pre and post scripts, as they're not required for CDROM
  install/updates, and could be troublesome.

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- [2.0.2-7sme01]
- renamed to turba-h3
- Update for turba-h3-2.0.2 on SME 7

* Tue Aug 31 2004 Shad L. Lords <slords@mail.com>
- [1.2-2sme01]
- Update specfile - change apache to httpd in requires

* Thu May 6 2004 Michael Soulier <michael_soulier@mitel.com>
- [1.2-1es01]
- Patched to remove braindead String class reference. [MN00025049]

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- [1.2-1es00]
- Rebuild [gordonr 7694]

* Wed Mar 12 2003 Dan Brown <dan@familybrown.org>
- [1.2-1es]
- Rebuilding with Turba 1.2

* Wed May 22 2002 Charlie Brady <charlieb@e-smith.com>
- [1.0-6es]
- Rebuilding in-house. Change Vendor and Packager tags. no other change,

* Fri Mar  8 2002 Dan Brown <dan@familybrown.org> 1.0-5es
- changed Apache dependency to >= 1.3.19

* Tue Feb 12 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 4es
- http://cvs.horde.org/diff.php/turba/lib/api.php?r1=1.14.2.3&r2=1.14.2.4&ty=u
- patch to fix errors adding contacts

* Mon Feb 11 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 3es
- changed turba.sql to run CREATE TABLE IF NOT EXISTS

* Sun Feb 10 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 2es
- removed httpd restart--it's giving errors on SME 5.1.2, and
  it's handled by the e-smith-horde RPM

* Sat Feb 09 2002 Dan Brown <dan@familybrown.org>
- 1.0 release 1es
- changed apache user, group, and content directory

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 1.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 1.0-RC4 release 1

* Sun Dec 16 2001 Brent J. Nordquist <bjn@horde.org>
- initial RPM for Turba 1.0

